/**
 * Created by IntelliJ IDEA.
 * User: m09aaa
 * Date: 28.10.2009
 * Time: 18:18:21
 * To change this template use File | Settings | File Templates.
 */
import java.util.*;
import java.io.*;

public class zarplat {

       public static void main  ( String[] args ) throws Exception
    {
        Scanner in=new Scanner(new File("mean.in"));
        PrintWriter out=new PrintWriter (new File("mean.out"));
        int n=in.nextInt();
        int a=in.nextInt();
        int b=in.nextInt();
        int [] zar=new int[n];
        for (int i=0; i<n; i++)
        {
            zar[i]=a;
        }
        int x=(100*a+b)*n;
        if (x%100!=0)
        {
            out.println(0);
        }
        else
        {
            if (b==0)
            {
                for (int i=0; i<n; i++)
                {
                    out.println(a);
                }
            }
            else
            {
                 for (int i=0; i<b*n/100; i++)
                 {
                     zar[i]++;
                 }
                 for (int i=0; i<n; i++)
                {
                    out.println(zar[i]);
                }
            }
        }
        out.close();
    }
}
